<node>
  <interface name="com.lomiri.MediaScanner2.Extractor">
    <method name="ExtractMetadata">
      <arg direction="in" type="s" name="filename" />
      <arg direction="in" type="s" name="etag" />
      <arg direction="in" type="s" name="content_type" />
      <arg direction="in" type="t" name="mtime" />
      <arg direction="in" type="i" name="type" />
      <arg direction="out" type="(sssssssssiiiiiddbti)" name="metadata" />
    </method>
  </interface>
</node>
